Update a customer

Update the information on a specific customer account.

Replaces the customer's personal information, contact details, address, consent records, and optional property records with the values provided in the request body. The customer password is changed only if a new password is provided; omitting the password field leaves it unchanged.

To update multiple custom property records in bulk without affecting other customer data, use POST /customers/{customer_id}/properties/batch.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique ID of the customer.

Body Params
customer
object
required

Basic information about a customer.

password

This is the customer’s password. The parameter does not follow the usual PUT request rules. If you do not include it, the password will not change.

social_network_credentials
object

This is the customer’s social media credentials.
Special Rule for PUT Request with social network credentials: Unlike typical HTTP PUT requests, the request will not erase existing data if parameters are missing. If you do not include the social media credentials in the PUT request, the existing credentials will remain unchanged.

property_records
array of objects

List of customer property records.

property_records
Headers
string
Defaults to cs, en-gb;q=0.8

The unique ID of the language code by ISO 639-1.

Responses
204

No Content

429

Too many requests - more than the resource limit.

503

Temporary state when the service is temporarily unavailable, overloaded or there is a maintenance window.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json